"use strict";
const common_vendor = require("../../../../common/vendor.js");
const sheep_index = require("../../../../sheep/index.js");
require("../../../../sheep/url/index.js");
require("../../../../sheep/store/index.js");
require("../../../../sheep/store/app.js");
require("../../../../sheep/api/promotion/diy.js");
require("../../../../sheep/request/index.js");
require("../../../../sheep/config/index.js");
require("../../../../sheep/platform/index.js");
require("../../../../sheep/platform/provider/wechat/index.js");
require("../../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../../sheep/api/member/auth.js");
require("../../../../sheep/api/member/social.js");
require("../../../../sheep/api/member/user.js");
require("../../../../sheep/platform/provider/apple/index.js");
require("../../../../sheep/platform/share.js");
require("../../../../sheep/router/index.js");
require("../../../../sheep/hooks/useModal.js");
require("../../../../sheep/helper/index.js");
require("../../../../sheep/helper/test.js");
require("../../../../sheep/helper/digit.js");
require("../../../../sheep/helper/throttle.js");
require("../../../../sheep/platform/pay.js");
require("../../../../sheep/api/pay/order.js");
require("../../../../sheep/store/user.js");
require("../../../../sheep/store/cart.js");
require("../../../../sheep/api/trade/cart.js");
require("../../../../sheep/api/pay/wallet.js");
require("../../../../sheep/api/trade/order.js");
require("../../../../sheep/api/promotion/coupon.js");
require("../../../../sheep/store/sys.js");
require("../../../../sheep/store/modal.js");
require("../../../../sheep/config/zIndex.js");
if (!Array) {
  const _easycom_su_fixed2 = common_vendor.resolveComponent("su-fixed");
  _easycom_su_fixed2();
}
const _easycom_su_fixed = () => "../../../../sheep/ui/su-fixed/su-fixed.js";
if (!Math) {
  _easycom_su_fixed();
}
const _sfc_main = {
  __name: "detail-activity-tip",
  props: {
    activityList: {
      type: Array,
      default() {
        return [];
      }
    }
  },
  setup(__props) {
    const props = __props;
    common_vendor.useCssVars((_ctx) => ({
      "b2b2d866": common_vendor.unref(seckillBg),
      "f3c02508": common_vendor.unref(grouponBg)
    }));
    const seckillBg = sheep_index.sheep.$url.css("/static/img/shop/goods/seckill-tip-bg.png");
    const grouponBg = sheep_index.sheep.$url.css("/static/img/shop/goods/groupon-tip-bg.png");
    function onActivity(activity) {
      const type = activity.type;
      const typePath = type === 1 ? "seckill" : type === 2 ? "TODO 拼团" : "groupon";
      sheep_index.sheep.$router.go(`/pages/goods/${typePath}`, {
        id: activity.id
      });
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(props.activityList, (activity, k0, i0) => {
          return common_vendor.e({
            a: activity.type === 1
          }, activity.type === 1 ? {
            b: common_vendor.unref(sheep_index.sheep).$url.static("/static/img/shop/goods/seckill-icon.png")
          } : activity.type === 3 ? {
            d: common_vendor.unref(sheep_index.sheep).$url.static("/static/img/shop/goods/groupon-icon.png")
          } : {}, {
            c: activity.type === 3,
            e: common_vendor.t(activity.name),
            f: common_vendor.o(($event) => onActivity(activity), activity.id),
            g: common_vendor.n(activity.type === 1 ? "seckill-box" : "groupon-box"),
            h: activity.id
          });
        }),
        b: common_vendor.s(_ctx.__cssVars()),
        c: common_vendor.p({
          bottom: true,
          placeholder: true,
          val: 44
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-8e741228"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/pages/goods/components/detail/detail-activity-tip.vue"]]);
wx.createComponent(Component);
